%define po_package gnome-menus
%define enable_debugging 0

Summary:  A menu system for the GNOME project
Name: gnome-menus
Version: 2.10.1
Release: 3
License: LGPL
Group: System Environment/Libraries
URL: http://www.gnome.org/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:  redhat-menus >= 1.0
BuildRequires: glib2-devel >= 2.5.6, gnome-vfs2-devel >= 2.8.2

Patch0: gnome-menus-2.10.1-fix-parent-references.patch

%description
gnome-menus is an implementation of the draft "Desktop
Menu Specification" from freedesktop.org. This package
also contains the GNOME menu layout configuration files, 
.directory files and assorted menu related utility programs.

%package devel
Summary: Libraries and include files for the GNOME menu system
Group: Development/Libraries
Requires:   %{name} = %{version}

%description devel
This package provides the necessary development libraries for 
writing applications that use the GNOME menu system.

%prep
%setup -q

%patch0 -p1 -b .fix-parent-references

%build
%configure \
%if %{enable_debugging}
   --enable-debug=yes
%else
   --enable-debug=no
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus
rm -rf $RPM_BUILD_ROOT%{_datadir}/desktop-directories

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang

%defattr(-,root,root,-)
%doc
%{_libdir}/libgnome-menu.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/gnome-menus
%{_bindir}/gnome-menu-spec-test


%changelog
* Fri Apr 22 2005 Matthias Clasen <mclasen@redhat.com> 2.10.1-3
- Call ldconfig in %%post (#155734)
- Add some BuildRequires

* Wed Apr  6 2005 Mark McLoughlin <markmc@redhat.com> 2.10.1-2
- Backport patch from CVS to fix large memory leak on re-loading
  the menus (gnome #172472)

* Wed Mar 23 2005 Mark McLoughlin <markmc@redhat.com> 2.10.1-1
- Update to 2.10.1

* Thu Mar 17 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-1
- Update to upstream version 2.10.0

* Fri Mar  4 2005 Jeremy Katz <katzj@redhat.com> - 2.9.90-4
- fix 64bit pointer problem that caused the panel to crash

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 2.9.90-3
- Turn off debugging by default
- Rebuild with gcc4

* Tue Feb  1 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-2
- Don't include .directory and .menu files,
  we want those from redhat-menus

* Mon Jan 31 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-1
- Initial build.

